Project

General

Profile

Message d'erreur lors de l'installation d'un Xivo-Callisto

Added by Mickael camilleri about 2 months ago

Bonjour,

Pour faire des test, j'essaie d'installer une VM de la version Callisto de Xivo.
L'installation de Debian se passe très bien mais lorsque Debian est installé et que l'installation de Xivo commence, j'ai un message d'erreur.

L'erreur est (je joint un printscreen à ce post):
E: Command line option --allow-releaseinfo-change is not understood in combination with the other options.

J'ai essayé d'installer Debian seul et ensuite lancer l'installation de Xivo comme indiqué dans la doc suivante : https://documentation.xivo.solutions/en/2019.05/installation/xivo/installation/installsystem.html
Malheureusement, le message d'erreur est le même.

J'ai téléchargé le script xivo_install.sh et je remarque que la première ligne est : Set -e
Probablement l'origine de l'erreur.

Je suis parvenu à installer la version actuelle (Gaia) sans problème mais pas moyen d'installer une ancienne version. (testé avec Deneb et Borealis).

Avez-vous une idée de comment résoudre ce petit souci ?

Merci de votre aide.


Replies (1)

RE: Message d'erreur lors de l'installation d'un Xivo-Callisto - Added by Laurent MEILLER 25 days ago

En effet ce paramètre (--allow-releaseinfo-change) a été ajouté à notre script d'install pour gérer les debian 11, cependant cela impacte les anciennes versions de debian.

Pour contourner le problème en attendant un fix, au lieu de prendre le dernier script d'install (c'est à dire l'étape wget http://mirror.xivo.solutions/xivo_install.sh)

prenez celui de notre repo de source juste avant cette mise à jour :

wget https://gitlab.com/xivo.solutions/xivo-install-script/-/raw/e75934707c540f7d006de270b577c1bef4e7fa00/xivo_install.sh

Cela devrait solutionner votre problème, nous allons créer un ticket pour éviter que ça le refasse à l'avenir.

    (1-1/1)
    Add picture from clipboard (Maximum size: 147 MB)